Holger's Java API

## com.antelmann.math
Class NumberStringFilter.DoubleFilter

    java.lang.Object
      com.antelmann.math.NumberStringFilter<Double>
          com.antelmann.math.NumberStringFilter.DoubleFilter

All Implemented Interfaces:
  Filter<Double>

Enclosing class:
  NumberStringFilter<T extends Number & Comparable<? super T>>

    public static class NumberStringFilter.DoubleFilter

extends NumberStringFilter<Double>

Nested Class Summary

Nested classes/interfaces inherited from class com.antelmann.math.NumberStringFilter
`NumberStringFilter.DecimalFilter, NumberStringFilter.DoubleFilter, NumberStringFilter.IntFilter, NumberStringFilter.LongFilter`

Field Summary

Fields inherited from interface com.antelmann.util.Filter
`EXCLUDE_ALL_FILTER, INCLUDE_ALL_FILTER`

Constructor Summary
`NumberStringFilter.DoubleFilter(String filterString)`

Method Summary
`Double` `parseNumber(String str)`

Methods inherited from class com.antelmann.math.NumberStringFilter
`accept, getCompiledNumbers, getCompiledRanges, getFilterString, setFilterString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NumberStringFilter.DoubleFilter

    public NumberStringFilter.DoubleFilter(String filterString)
                                    throws NumberFormatException

Throws:
  `NumberFormatException`

Method Detail

### parseNumber

    public Double parseNumber(String str)
                       throws NumberFormatException

  Specified by:
    `parseNumber` in class `NumberStringFilter<Double>`
  Throws:
    `NumberFormatException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads